#
# spec file for package net3d (Version 0.08)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         net3d
Copyright:    Copyright (C) 1994 by Jamie Cameron
Group:        X11/Games
Provides:     net3d 
Autoreqprov:  on
Version:      0.08
Release:      399
Summary:      A networked, multi-player, 3d combat game
Source:       %{name}-%{version}.tar.bz2
Patch0:       %{name}-%{version}.patch
Patch1:       %{name}-%{version}-noman.patch
Patch2:       %{name}-%{version}-strtok.patch

%description
A networked, multi-player, 3d combat game.

Authors:
--------
    Jamie Cameron <jcam2@ccds.cc.monash.edu.au>

SuSE series: fun

%prep
%setup
%patch0
%patch1
%patch2

%build
xmkmf -a
make

%install
make install

%files
%dir /usr/X11R6/lib/X11/net3d
/usr/X11R6/bin/net3d
/usr/X11R6/bin/net3dserv
/usr/X11R6/lib/X11/net3d/amigaball.def.v
/usr/X11R6/lib/X11/net3d/amigaball.v
/usr/X11R6/lib/X11/net3d/asteroid.def.v
/usr/X11R6/lib/X11/net3d/battle.v
/usr/X11R6/lib/X11/net3d/battle2.v
/usr/X11R6/lib/X11/net3d/battle3.v
/usr/X11R6/lib/X11/net3d/boat.def.v
/usr/X11R6/lib/X11/net3d/cannon.def.v
/usr/X11R6/lib/X11/net3d/chicken.v
/usr/X11R6/lib/X11/net3d/cosmosphere.def.v
/usr/X11R6/lib/X11/net3d/extras.v
/usr/X11R6/lib/X11/net3d/eye.def.v
/usr/X11R6/lib/X11/net3d/eye.v
/usr/X11R6/lib/X11/net3d/field.v
/usr/X11R6/lib/X11/net3d/fish.def.v
/usr/X11R6/lib/X11/net3d/freeheli.v
/usr/X11R6/lib/X11/net3d/glassfish.def.v
/usr/X11R6/lib/X11/net3d/glassfish.v
/usr/X11R6/lib/X11/net3d/gunship.def.v
/usr/X11R6/lib/X11/net3d/gunship.v
/usr/X11R6/lib/X11/net3d/heli.def.v
/usr/X11R6/lib/X11/net3d/heli.v
/usr/X11R6/lib/X11/net3d/house.def.v
/usr/X11R6/lib/X11/net3d/m2.def.v
/usr/X11R6/lib/X11/net3d/m2.v
/usr/X11R6/lib/X11/net3d/map.v
/usr/X11R6/lib/X11/net3d/map2.v
/usr/X11R6/lib/X11/net3d/map3.v
/usr/X11R6/lib/X11/net3d/newm2.v
/usr/X11R6/lib/X11/net3d/ptero.def.v
/usr/X11R6/lib/X11/net3d/ptero.v
/usr/X11R6/lib/X11/net3d/space.v
/usr/X11R6/lib/X11/net3d/stingship.def.v
/usr/X11R6/lib/X11/net3d/stingship.v
/usr/X11R6/lib/X11/net3d/tank.def.v
/usr/X11R6/lib/X11/net3d/tank.v

%changelog -n net3d
* Thu Jun 21 2001 - ro@suse.de
- cleaned specfile
* Wed Jun 20 2001 - adostal@suse.cz
- patch strtok in file.c
- patch man in Imakefile
* Thu Mar 08 2001 - uli@suse.de
- added "# neededforbuild xf86"
- fixed Group tag
- removed 2nd Group tag
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
